# This file created by conda-build 3.15.1
# meta.yaml template originally from:
# C:\ci\containers\00003f294jr\tmp\build\80754af9\rsync-recipes\ipython-7.0.1-python_3.7-on-winbuilder, last modified Thu Oct  4 11:48:56 2018
# ------------------------------------------------

package:
    name: ipython
    version: 7.0.1
source:
    sha256: 9fed506c3772c875a3048bc134a25e6f5e997b1569b2636f6a5d891f34cbfd46
    url: https://pypi.io/packages/source/i/ipython/ipython-7.0.1.tar.gz
build:
    entry_points:
        - iptest = IPython.testing.iptestcontroller:main
        - iptest3 = IPython.testing.iptestcontroller:main
        - ipython = IPython:start_ipython
        - ipython3 = IPython:start_ipython
    number: '0'
    script: C:\ci\ipython_1538671851828\_h_env\python.exe -m pip install . --no-deps
        --ignore-installed -vvv
    string: py37h39e3cac_0
requirements:
    host:
        - certifi 2018.8.24 py37_1
        - pip 10.0.1 py37_0
        - python 3.7.0 hea74fb7_0
        - setuptools 40.4.3 py37_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.15.26706 h3a45250_0
        - wheel 0.32.0 py37_0
        - wincertstore 0.2 py37_0
    run:
        - backcall
        - colorama
        - decorator
        - jedi >=0.10
        - pickleshare
        - prompt_toolkit >=2.0.0
        - pygments
        - python >=3.7,<3.8.0a0
        - simplegeneric >0.8
        - traitlets >=4.2
test:
    commands:
        - ipython -h
        - ipython3 -h
        - iptest -j6
    imports:
        - IPython
        - IPython.core
        - IPython.core.magics
        - IPython.core.tests
        - IPython.extensions
        - IPython.extensions.tests
        - IPython.external
        - IPython.external.decorators
        - IPython.lib
        - IPython.lib.tests
        - IPython.sphinxext
        - IPython.terminal
        - IPython.terminal.pt_inputhooks
        - IPython.terminal.tests
        - IPython.testing
        - IPython.testing.plugin
        - IPython.testing.tests
        - IPython.utils
        - IPython.utils.tests
    requires:
        - ipykernel
        - matplotlib
        - nbformat
        - nose>=0.10.1
        - numpy
        - pygments
        - requests
        - testpath
about:
    description: 'IPython provides a rich architecture for interactive computing with

        a powerful interactive shell, a kernel for Jupyter, high performance

        tools for parallel computing, and more.

        '
    dev_url: https://github.com/ipython/ipython
    doc_url: https://ipython.readthedocs.io/
    home: https://ipython.org/
    license: BSD-3-Clause
    license_family: BSD
    license_file: LICENSE
    summary: 'IPython: Productive Interactive Computing'
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - Carreau
        - blink1073
        - bollwyvl
        - ellisonbg
        - fperez
        - jakirkham
        - minrk
        - ocefpaf
        - pelson
        - takluyver
